using APT.BaseData.Domain.Entities.FM;
using APT.Infrastructure.Core;
using APT.MS.Domain.Entities.SC.PE;
using APT.MS.Domain.Entities.SC.PT;
using APT.MS.Domain.Enums;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.MS.Domain.Entities.SC.PM
{
    [Description("标准化评分导入")]
    public class T_PE_STANDARDIZED_SCORE_IMPORT : TreeEntityBase<T_PE_STANDARDIZED_SCORE_IMPORT>
    {
        [Description("编码")]
        public string CODE { get; set; }
        [Description("考评类目")]
        public string NAME { get; set; }

        [Description("顺序")]
        public int? NUM { get; set; }

        [Description("导航属性：子表")]
        public virtual ICollection<T_PE_STANDARDIZED_SCORE_IMPORT_ITEM> Nav_Details { get; set; }

        [Description("首页得分")]
        public string SCORE { get; set; }
    }
}
